﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace CachingValuesInsideHttpResponsesInPolly.Controllers
{
    [Produces("application/json")]
    [Route("api/[controller]")]
    public class InventoryController : Controller
    {
        [HttpGet("{id}")]
        public async Task<IActionResult> Get(int id)
        {
            await Task.Delay(100); // simulate a delay of 100 milliseconds 
            return Ok(id + 100);
        }
    }
}
